package com.landray.kmss.sys.attachment.model;

import com.landray.kmss.common.convertor.IModelToFormConvertor;
import com.landray.kmss.common.convertor.ModelConvertor_Common;
import com.landray.kmss.sys.attachment.forms.SysAttPlayLogForm;
import com.landray.kmss.sys.organization.model.SysOrgPerson;
import java.util.Date;
import com.landray.kmss.common.convertor.ModelToFormPropertyMap;
import com.landray.kmss.common.model.BaseModel;

public class SysAttPlayLog extends BaseModel
{
    private static final long serialVersionUID = 1L;
    private static ModelToFormPropertyMap toFormPropertyMap;
    private Date docCreateTime;
    private Date docAlterTime;
    private String fdAttId;
    private String fdParam;
    private String fdName;
    private String fdType;
    private SysOrgPerson docCreator;
    
    public SysAttPlayLog() {
        this.docAlterTime = new Date();
    }
    
    public Class<SysAttPlayLogForm> getFormClass() {
        return SysAttPlayLogForm.class;
    }
    
    public ModelToFormPropertyMap getToFormPropertyMap() {
        if (SysAttPlayLog.toFormPropertyMap == null) {
            (SysAttPlayLog.toFormPropertyMap = new ModelToFormPropertyMap()).putAll(super.getToFormPropertyMap());
            SysAttPlayLog.toFormPropertyMap.put("docCreateTime", (IModelToFormConvertor)new ModelConvertor_Common("docCreateTime").setDateTimeType("datetime"));
            SysAttPlayLog.toFormPropertyMap.put("docAlterTime", (IModelToFormConvertor)new ModelConvertor_Common("docAlterTime").setDateTimeType("datetime"));
            SysAttPlayLog.toFormPropertyMap.put("docCreator.fdName", "docCreatorName");
            SysAttPlayLog.toFormPropertyMap.put("docCreator.fdId", "docCreatorId");
        }
        return SysAttPlayLog.toFormPropertyMap;
    }
    
    public void recalculateFields() {
        super.recalculateFields();
    }
    
    public String getFdType() {
        return this.fdType;
    }
    
    public void setFdType(final String fdType) {
        this.fdType = fdType;
    }
    
    public String getFdName() {
        return this.fdName;
    }
    
    public void setFdName(final String fdName) {
        this.fdName = fdName;
    }
    
    public Date getDocCreateTime() {
        return this.docCreateTime;
    }
    
    public void setDocCreateTime(final Date docCreateTime) {
        this.docCreateTime = docCreateTime;
    }
    
    public Date getDocAlterTime() {
        return this.docAlterTime;
    }
    
    public void setDocAlterTime(final Date docAlterTime) {
        this.docAlterTime = docAlterTime;
    }
    
    public String getFdAttId() {
        return this.fdAttId;
    }
    
    public void setFdAttId(final String fdAttId) {
        this.fdAttId = fdAttId;
    }
    
    public String getFdParam() {
        return this.fdParam;
    }
    
    public void setFdParam(final String fdParam) {
        this.fdParam = fdParam;
    }
    
    public SysOrgPerson getDocCreator() {
        return this.docCreator;
    }
    
    public void setDocCreator(final SysOrgPerson docCreator) {
        this.docCreator = docCreator;
    }
}
